import request from "@/utils/request";

// 查询员工列表
export function listEmployee(query) {
  return request({
    url: "/employee/employee/list",
    method: "get",
    params: query,
  });
}

// 查询员工详细
export function getEmployee(userId) {
  return request({
    url: "/employee/employee/" + userId,
    method: "get",
  });
}

// 新增员工
export function addEmployee(data) {
  return request({
    url: "/employee/employee",
    method: "post",
    data: data,
  });
}

// 修改员工
export function updateEmployee(data) {
  return request({
    url: "/employee/employee",
    method: "put",
    data: data,
  });
}

// 删除员工
export function delEmployee(userId) {
  return request({
    url: "/employee/employee/" + userId,
    method: "delete",
  });
}

export const downloadEmployeeTemplate = () =>
  request({
    url: "/employee/employee/importTemplate",
    method: "GET",
    responseType: "blob",
  });

/**
 * 修改员工积分
 * @param data
 * @returns {*}
 */
export const updateEmployeePoint = (data) =>
  request({
    url: "/employee/employee/updatePoint",
    method: "PUT",
    data,
  });

export const updateEmployeeStatus = (data) =>
  request({
    url: "/employee/employee/changeStatus",
    method: "PUT",
    data,
  });
