import request from "@/utils/request";

// 查询产品列表
export function listProduct(query) {
  return request({
    url: "/product/product/list",
    method: "get",
    params: query,
  });
}

// 查询产品详细
export function getProduct(productId) {
  return request({
    url: "/product/product/" + productId,
    method: "get",
  });
}

// 新增产品
export function addProduct(data) {
  return request({
    url: "/product/product",
    method: "post",
    data: data,
  });
}

// 修改产品
export function updateProduct(data) {
  return request({
    url: "/product/product",
    method: "put",
    data: data,
  });
}

// 删除产品
export function delProduct(productId) {
  return request({
    url: "/product/product/" + productId,
    method: "delete",
  });
}

// 添加型号
export const addModel = (data) =>
  request({
    url: "/product/model",
    method: "POST",
    data,
  });

export const modelList = (params) =>
  request({
    url: "/product/model/list",
    method: "GET",
    params,
  });
export const getModel = (modelId) =>
  request({
    url: `/product/model/${modelId}`,
    method: "GET",
  });
export const updateModel = (data) =>
  request({
    url: "/product/model",
    method: "PUT",
    data,
  });
export const deleteModel = (modelIds) =>
  request({
    url: `/product/model/${modelIds}`,
    method: "DELETE",
  });

export const addSpec = (data) =>
  request({
    url: "/product/spec",
    method: "POST",
    data,
  });

export const listSpec = (params) =>
  request({
    url: "/product/spec/list",
    method: "GET",
    params,
  });
export const getSpec = (specId) =>
  request({
    url: `/product/spec/${specId}`,
    method: "GET",
  });

export const updateSpec = (data) =>
  request({
    url: "/product/spec",
    method: "PUT",
    data,
  });
export const deleteSpec = (modelIds) =>
  request({
    url: `/product/spec/${modelIds}`,
    method: "DELETE",
  });
